- name: Dev - Section CMAU - Estimated & Recorded Sum of Dev Section SMAU
  base_path: "/handbook/product/performance-indicators/"
  definition: A sum of all SMAUs across the three stages in the Dev Section (Manage,
    Plan, and Create) for All users and Paid users.
  target: FY22Q2 -- Section CMAU FY22Q3 growth of 3.40M for Estimated CMAU & of 800K for Estimated Paid CMAU
  org: Dev Section
  section: dev
  public: true
  pi_type: Section CMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - CMAU is fully instrumented
  implementation:
    status: Complete
    reasons:
      - CMAU is fully instrumented
  lessons:
    learned:
      - Dev Section recorded its highest Estimated CMAU at 3.34M!
      - Overall CMAU growth lower than current average with investigation ongoing
  monthly_focus:
    goals:
      - Work with Data team to better calculate "Estimated Self-Managed Uplift" to help balance out calculations
      - Research data spike in May to make sure it is an anomaly and we did not have a drop of 20K in Paid CMAU
  metric_name: issues, action_monthly_active_users_project_repo, analytics_unique_visits_for_any_target
  sisense_data:
    chart: 9982128
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10138877
    dashboard: 758607
    embed: v2

- name: Manage, Manage:Optimize - SMAU, GMAU - MAU Viewing Optimize Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing any <a href="https://docs.gitlab.com/ee/user/analytics/">Optimize page</a>.
  target: 198,000
  org: Dev Section
  section: dev
  stage: manage
  group: optimize
  public: true
  pi_type: SMAU, GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insights - This month also showed a record high of 179K unique users viewing Optimize features.  
    - DevOps Adoption was made available to SaaS users in 13.11. Previously it was only available at the Instance level for self-managed users and have seen an increase of 2329 views already. This feature is restricted to Ultimate users.
    - Group-level Value Stream Analytics saw a 50% increase in adoption from the past month with the biggest increase being in the Premium tier.
    - Improvements - Increased target to 198,000 (that is 10% over the current number of viewers)
    - We have addied security dependancy scanning and fuzz testing features to the DevOps Adoption report, making the report more useful for Ultimate customers. 
  implementation:
    status: Complete
  metric_name: analytics_total_unique_counts_monthly
  sisense_data:
    chart: 10039390
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039413
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611090
    dashboard: 798616
    embed: v2

- name: Manage, Manage:Optimize  - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-optimize/stage-groups-group-dashboard-manage-optimize)
  sisense_data:
    chart: 12187948
    dashboard: 892223
    embed: v2
  sisense_data_secondary:
    chart: 12187951
    dashboard: 892223
    embed: v2

- name: Manage:Access - Paid GMAU - MAU Using Paid SAML
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users logging into GitLab using SAML SSO for Groups.
  target: Q3FY22 goal 8700
  org: Dev Section
  section: dev
  stage: manage
  group: access
  public: true
  pi_type: Paid GMAU
  product_analytics_type: SaaS
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
     - Insights - An increase of ~10% in MAU from last month (2nd month in a row). A huge increase in self-manage SMAU of 40% from previous month (and 87% between May & June)! 
     - Insights - Last month  showed a record high of new group memebers on a [SMAL group](https://app.periscopedata.com/app/gitlab/636494/Dev:-Manage:-Access-SAML-SSO-Usage?widget=10941319&udv=0) - over 9k new group members (33% increase from last month)! This month is slightly lower (by 400 users - 6%. I am not sure about the data validity)
     
  implementation:
    status: Complete 
    reasons:
  metric_name: user_auth_by_provider (Group_SAML)
  sisense_data:
    chart: 10039419
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 8477342
    dashboard: 636494
    embed: v2

- name: Manage:Access  - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-access/stage-groups-group-dashboard-manage-access)
    - Improvements - The team has rolled out the fix for [linear queries](https://gitlab.com/groups/gitlab-org/-/epics/5296) on June 30th and we are already seeing an improvement in the ratio between recursive calls and linear ones - see [graph](https://log.gprd.gitlab.net/app/lens#/edit/765eb580-df78-11eb-bfb9-1fcb9ca7f31a?_g=h@c823129). 
    - Improvement - The team has worked on rapid action for [AuthorizedProjectsWorker](https://gitlab.com/groups/gitlab-org/-/epics/3343#note_619200866). Comparing the improvement” … “a 99.38% decrease in the number of jobs being generated. The team was able to reduce the number of mutating AuthorizedProjectsWorker jobs to 0 
  sisense_data:
    chart: 12187919
    dashboard: 892223
    embed: v2
  sisense_data_secondary:
    chart: 12187922
    dashboard: 892223
    embed: v2

- name: Manage:Compliance - Paid GMAU - MAU Viewing Compliance Features
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users viewing Audit Events, Compliance Dashboard,
    or Credential Inventory.
  target: 10% quarter-over-quarter
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 2
    reasons:
      - We are [biasing for action](https://about.gitlab.com/handbook/values/#bias-for-action) and setting a target with the information we have, rather than waiting. We expect this may need to be adjusted in the future. We can use our predictive models to set initial targets in the future.
  monthly_focus:
    goals:
      - Group-level [MR settings](https://gitlab.com/groups/gitlab-org/-/epics/5957)      
      - Continue refinement and validation on [webhook-based audit events](https://gitlab.com/groups/gitlab-org/-/epics/5925)
      - We will investigate using the predictive and regreession capabilities in Sisense to build projected usage models that will be live updated with data as it comes in. This will help us understand if we are having a "slow" or "fast" month in terms of growth compared to what we would expect.
      - Assuming we can get predictive models set up in Sisense, we will begin to use those projections to help us inform our planning for the future in terms of maintaining a scalable infrastructure and deciding on the urgency of needing to make archtiectural changes. This will also help inform us on how urgent the need for [webhook-based audit events](https://gitlab.com/groups/gitlab-org/-/epics/5925) is, which will offload some processing from GitLab, will become in the future.
      - We will investigate differences in our [estimated GMAU graph](https://app.periscopedata.com/app/gitlab/758607/?widget=9980315) compared to our [individual metric graphs](https://app.periscopedata.com/app/gitlab/663045/Manage:-Compliance-Dashboard?widget=11612664&udv=0). The two are supposedly driven off the same metrics but they are reporting different numbers.
      - We will consider if this metric should be updated to include more parts of the product that Compliance group is focused on, such as [MR settings](https://gitlab.com/groups/gitlab-org/-/epics/5957) or [exteral status checks](https://gitlab.com/gitlab-org/gitlab/-/issues/334967). This will allow us to better understand which parts of our product users are using, in addition to the areas we already are tracking.
      - We will focus on backfilling open engineering roles to allow us to increase our team velocity.
  lessons:
    learned:
      - Our overall MAU viewing compliance feature graph has remained mostly flat. Our self-managed numbers went down slightly while our SaaS numbers went up slightly. This may be fewer instances are reporting self-managed data, so there are less users being reported.
      - We saw an 18% month-over-month increase in our users this month looking at group-level audit events. This is coupled with a 20% month-over-month increase in users looking at the compliance dashboard. This could partly be due to data integrity issues in June. This could also partly be due to our focus on adding enough new audit events in the past few months to make the audit events and compliance dashboard that much more useful to users. It is a good reflection that our users find enough value in Compliance to keep using it month after month as well as bring others to look at the same information.
      - Even if data issues between June and July change our July numbers, many of our metrics have doubled or almost doubled since January 2021. This is clearly more than rounding errors or data integrity issues, which validates that the problems we focus on helping users with are impactful and important. This data also validates what we anecdotally hear about how important Compliance capabilities are to larger organizations with mature processes and regulatory requirements.
      - We continue to hear about the needs of compliance-concious users and needing to be able to apply fine-grained controls, as opposed to blanket "everyone gets enforcement" checkboxes. This further underscores the need of bringing group-level controls for our GitLab.com and self-managed customers. It also underscores the importance of focusing on _subgroups_, beyond just root groups, since the root group on GitLab.com is essentially equivalent to an instance-level setting for those users.
      - There is a distinction between acting on "what is in production" and "what were all changes between release X and Y" for users in different compliance environments. Internal stakeholders will care about the former while external stakeholders, such as auditors and regulatory bodies, care about the latter. This give us good insight into the types of experiences we need to build for users.
  implementation:
    status: Complete 
    reasons:
      - Completed
  metric_name: i_compliance_audit_events_monthly, g_compliance_audit_events_monthly, g_compliance_dashboard_monthly, i_compliance_credential_inventory_monthly
  sisense_data:
    chart: 9980315
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039422
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 12190168
    dashboard: 758607
    embed: v2
    
- name: Manage:Compliance - Other - Projects Marked with a Compliance Framework
  base_path: "/handbook/product/performance-indicators/"
  definition: New and cumulative number of projects using compliance frameworks.
  target: 10% quarter-over-quarter growth in new projects using compliance frameworks (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: manage
  group: compliance
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
      - In process
  lessons:
    learned:
      - We saw a growth of 3% this month.
      - We continue to get positive feedback about compliance frameworks. When discussing with users, the use case generally resonates around compliance teams only having to define their pipeline jobs once and that no effort is needed by developers to use them.
      - We have learned more about how our users plan to use and have tried using compliance frameworks in practice. As part of that, we have found a few opportunities for enchancements, issues to resolve, as well as a few [use cases](https://gitlab.com/gitlab-org/gitlab/-/issues/331506) that we need to focus on in the short term.
      - We rolled out a [new metric](https://gitlab.com/gitlab-org/gitlab/-/merge_requests/64601/diffs) to record how many compliance frameworks have a compliance pipeline associated with them. This is the first month we are receiving data so we are learning what the data looks like and what we can expect from it. Notably, the number is non-zero, which is great and means customers are using the feature! 
      - Interestingly, we saw the number of instances with compliance frameworks _decrease_ but the number of projects using compliance frameworks _increase_. This means that those customers who use compliance frameworks are getting enough value to apply them to more and more of their GitLab projects. The instance decrease is likely explained by the same reasoning as above that our overall self-managed numbers reporting are down.
  monthly_focus:
    goals:
      - We will keep working to understand the data about our new compliance pipeline metric. This will help us differentiate our compliance framework users, since frameworks themselves are available in Premium & Ultimate, while pipelines are Ultimate-only. Additonally, this metric shows how many frameworks use a compliance pipeline, but does not indicate how many _projects_ then use that framework. My hypothesis is we will be able to correlate growth in compliance frameworks with growth in compliance pipelines, as I predict most new usage of them will be because of the compliance pipelines.
      - More qualitative conversations with users to find out what they like about compliance frameworks and pipelines as well as what they still need to help guide future directions.
      - We will continue looking at the predictive model for our data to see what conclusions we can make about future growth and what we can change to increase that growth rate.
      - We are adding a new [audit event](https://gitlab.com/gitlab-org/gitlab/-/issues/329362) so users can see changes that are made to projects and when compliance frameworks are added or removed. This will give them the visibility they need to confidently use compliance frameworks as part of defining and enforcing organizational compliance.
  implementation:
    status: Complete
    reasons:
  metric_name: projects_with_compliance_framework
  sisense_data:
    chart: 9071082
    dashboard: 663045
    embed: v2
  sisense_data_secondary:
    chart: 12189898
    dashboard: 663045
    embed: v2

- name: Manage:Compliance  - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-compliance/stage-groups-group-dashboard-manage-compliance)
    - We believe these results are because the audit events page takes a long time to load, rather than actual 500 errors.
    - We are investigating how we might make this page load faster. One idea is to introduce [pagination](https://gitlab.com/gitlab-org/gitlab/-/issues/333968)

- name: Manage:Import - GMAU - MAU importing
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the unique number of users performing an import
  target: 88,000 MAU importing projects
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 2
    reasons:
    - Target - Initial target set to 88,000 by the end of the year, which is a 10% increase from the initial user engagement levels in March and April.
    - Insight - After a spike in Q2 caused by an increase in new project creation, Import activities have stabilized at a level that is +88% increase YoY.
    - Improvement - Reducing friction for GitLab-to-GitLab migrations - The [feature parity](https://gitlab.com/groups/gitlab-org/-/epics/4619) with the existing Group Export/Import, which is the first milestone on this path has been delivered in `14.2`. 
    - Improvement - Reducing friction for GitLab-to-GitLab migrations - The next step, which is adding [Projects](https://gitlab.com/groups/gitlab-org/-/epics/4618) to Group Migrations, is targeted for `14.6`. 
    - Note - The planned roadmap for Group Import is focused on reducing friction for GitLab-to-GitLab migrations as the fastest way to increasing the number of user actions, but the team currently has no capacity to move this roadmap forward due to an Engineering Allocation focused on infradev and security issues.
    - Note - SaaS data is not available for the paid GMAU chart due to [limitations of the redis counter used](https://gitlab.com/gitlab-data/analytics/-/issues/6603#note_484785813).
  implementation:
    status: Complete
    reasons:
    - Instrumentation has been [implemented](https://gitlab.com/gitlab-org/gitlab/-/issues/283175) in `13.9`. 
    - The charts are completed and data is available starting with February 2021.
  metric_name: usage_activity_by_stage_monthly.manage.unique_users_all_imports
  sisense_data:
    chart: 10039162
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 11173918
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 11170816
    dashboard: 798616
    embed: v2

- name: Manage:Import - Other - Share of New Projects Imported
  base_path: "/handbook/product/performance-indicators/"
  definition: Share of projects created via import within 90 days of the namespace's
    creation.
  target: TBD - See Health section below for details
  org: Dev Section
  section: dev
  stage: manage
  group: import
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - No target defined yet.
    - Target will be defined once the dashboard shows both Saas and self-managed.
  implementation:
    status: Instrumentation
    reasons:
    - Instrumented for Saas.
    - Dashboard shows only Saas at this time.
    - Instrumentation for self-managed [implemented](https://gitlab.com/gitlab-org/gitlab/-/issues/325900) in `14.0`.
    - Dashboard will be [updated](https://gitlab.com/gitlab-org/gitlab/-/issues/337895) with self-managed data after July 2021, once data is available.
    - Import will also be [instrumenting](https://gitlab.com/gitlab-org/gitlab/-/issues/223785) a new metric - Import Success Rate, which will track how many imports succeed vs. fail.
  metric_name: N/A 
  sisense_data:
    chart: 8584850
    dashboard: 661967
    embed: v2

- name: Manage:Import  - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.5% availability, allowed unavailability window is 200 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 3
    reasons:
    - The Project Export/Import API creates the largest negative impact on Import's error budget. We are addressing this issue in the long-term by replacing this feature with a more efficient [GitLab-to-GitLab Migration](https://gitlab.com/groups/gitlab-org/-/epics/2771) solution. Outside of this long-term strategy, Group Import is unable to prioritize additional shorter-term fixes due to the team's focus on infradev and security issues.
    - Given that Import is not prioritizing any issues that will make an immediate impact on availability, and that our strategy is a long-term one, the error budget baseline was adjusted to a more realistic baseline, so that it can be met at this time. By monitoring and maintaining this performance level, we will ensure that there is no additional degradation. 
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-import/stage-groups-group-dashboard-manage-import)
  sisense_data:
    chart: 12187946
    dashboard: 892223
    embed: v2
  sisense_data_secondary:
    chart: 12187949
    dashboard: 892223
    embed: v2

- name: Plan, Plan:Project Management - SMAU, Paid GMAU - MAU Interacting With Issues
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of unique users interacting with an issue (open, close, reopen,
    adjust label, adjust milestone, adjust weight, comment) 
  target: 557,290 for All, 157,571 for Paid 
  org: Dev Section
  section: dev
  stage: plan
  group: project_management
  public: true
  pi_type: SMAU, Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  lessons:
    learned:
      - Given the following points below, I'm honestly not sure how much weight to put on this being an accurate reflection of product usage at this point in time. 
      - July’s Paid GMAU decreased by -6% from June, fueled by a -12.5% decrease in Starter and a -18.6% decrease in Ultimate. Over a three month period, Ultimate Paid GMAU has declined by -52%. To understand if this decline is isolated to Plan, we looked into Source Code’s Ultimate MAU which has also seen a -17% decrease over the last three months. This is an odd pattern considering our exponential 3 month growth in Ultimate licenses, our cloud licensing rollout, and an 8% increase in self-managed instances that have upgraded to a version with the current Plan xMAU counter. The most logical explanation that can be derived from our data at this point in time appears to indicate that there was a decline [~245k usage ping users](https://app.periscopedata.com/app/gitlab/545874/Customers-and-Users-with-Usage-Ping-Enabled) from June to July, which is now down the lowest level of total users with usage ping enabled since 2020-11.
      - The perceived decline in xMAU is also attributable to a steady drop in Estimated xMAU. It seems as though there may be room to improve how we estimate xMAU. For example, Estimated GMAU dropped by -11% from April to July. If you compare that to the exponential increase in self-managed licenses over the same period, the decline in recorded xMAU, and the substantial decrease in [user's with usage ping enabled](https://app.periscopedata.com/app/gitlab/545874/Customers-and-Users-with-Usage-Ping-Enabled), there is no easy way to reconcile what's happening.  
      - It is not uncommon for SaaS usage ping to include duplicate date ranges across two reporting periods. Some date ranges are completely ommitted from xMAU counts. We're missing [7.38% days worth of SaaS usage ping data over the last 13 months](https://docs.google.com/spreadsheets/d/1hnlL1wuXDVk36YIfwM8Y-nabtXo4XmWyhd6wpAcocd4/edit#gid=0).
      - As usage ping data treats GitLab.com as one large Ultimate instance, there is no way to easily compares SaaS usage ping data by customer namespace in the equivalent manner to how we treat self-managed customer usage ping data. This makes "apples-to-apples" comparisons between self-managed and SaaS tiers excruitiangly difficult if not impossible. 
  monthly_focus:
    goals: 
      - For 14.3, start delivering [planned work item MVCs](https://gitlab.com/gitlab-org/plan/-/issues/374#work-items) behind a feature flag. This effort will set the foundation for long term improvements in SuS, reducing technical debt, improving performance, and making issues update in real-time. We will begin shipping iterations on the new issue view behind a feature flag starting in 14.2.
      - Support the ongoing research Pricing and Packaging is conducting around the [non-developer use cases](https://gitlab.com/groups/gitlab-com/packaging-and-pricing/-/epics/54).
      - Collaborate closely with a large customer to build out a robust PoC to model their full SDLC within GitLab. The long term goal is enabling them to migrate away from Jira Align and Jira, which will drmatically improve the quality of life for the engineers. We will leverage the learnings to inform our product roadmap and create "blueprints" for enabling other larger organizations to migrate their planning needs to GitLab.  
  health:
    level: 3
    reasons:
    - Driver - For Paid, continue progress on [achieving feature parity between an Instance, Group, and Project](https://gitlab.com/groups/gitlab-org/-/epics/2885), [making issues more extensible](https://gitlab.com/groups/gitlab-org/-/epics/3354), and continuing to make incremental progress on [iterations](https://gitlab.com/groups/gitlab-org/-/epics/2422).
    - Improvement - For All, work towards addressing the [problem areas](https://gitlab.com/groups/gitlab-org/-/epics/4104) that emerged out of the Category Maturity Scorecard exercise for Issue Tracking.
    - Improvement - For All, continue making progress on [quality of life improvements](https://gitlab.com/groups/gitlab-org/-/epics/3216) for existing features. 
  implementation:
    status: Complete
  metric_name: redis_hll_counters.issues_edit.issues_edit_total_unique_counts_monthly 
  sisense_data:
    chart: 9967544
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980295
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611100
    dashboard: 798616
    embed: v2
  urls:
  - https://about.gitlab.com/direction/plan/issue_tracking/
  - https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly)

- name: Plan, Plan:Project Management  - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - For 14.3, we are allocating 50% of BE Engineering to focus on [high-priority reliability and performance issues](https://gitlab.com/gitlab-org/plan/-/issues/374#saas-reliability) which we believe will also have a positive impact on reducing our error budget consumption.  
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-project_management/stage-groups-group-dashboard-plan-project-management)
  sisense_data:
    chart: 12188214
    dashboard: 892245
    embed: v2
  sisense_data_secondary:
    chart: 12188220
    dashboard: 892245
    embed: v2

- name: Plan:Product Planning - Paid GMAU - MAU creating Epics each Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users creating Epics each month.
  target: 10,301 Combined Unique Users for Self Managed and SaaS
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Q3 20201 - The last 3 months have shown an average decline of 11.5% MOM in growth for a total of -34.59%. 
    - Insight - Despite the GMAU decline, we can still see that [epic creation had slight increases](https://app.periscopedata.com/app/gitlab/710637/Portfolio-Management---Epic-Usage-and-Internal-Adoption?widget=9286730&udv=0) in the past two months so the GMAU numbers may not be correct.
    - Insight - Our new event trackers (Secondary Chart below) are installed on 32% of instances and are already showing ~9k of MAU usage. This gets us closer to our 10k target and we will drop "epic creation" in the coming months, but keep it as secondary for history.
    - Improvement - We think that our participation in the new [Work Item inititiatve](https://gitlab.com/groups/gitlab-org/-/epics/6033) will increase our numbers as there will be more opportunity to create epics at the project level as well as more levels of hierarchy and partiy with issues.
    - Improvement - We've started an epic to track [growth experiment ideas](https://gitlab.com/groups/gitlab-org/-/epics/5575 ). This will be useful once we complete Work Items and can focus on getting even more epics created.
  implementation:
    status: Complete
    reasons:
    - Our new event Sisense graph [GMAU - Users interacting with Epics](https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly)?widget=11671189&udv=0) needs to be converted to the offical Saas/Self managed format in August 2021.  
  metric_name: epics 
  sisense_data:
    chart: 9980303
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 11671189
    dashboard: 775807
    embed: v2
  sisense_data_tertiary:
    chart: 10611105
    dashboard: 798616
    embed: v2
  urls:
  - https://about.gitlab.com/direction/plan/epics/
  - https://app.periscopedata.com/app/gitlab/775807/Plan-xMAU-(monthly)

- name: Plan:Product Planning - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - In 14.3 we continue to investigate memory issues associated with the [discussions endpoint](https://gitlab.com/gitlab-org/gitlab/-/issues/287916). This is a primary consumer of our error budget, sometimes taking upwards of 2s to complete.
    - In 14.3 we will scheduled the [list of 500 errors](https://gitlab.com/gitlab-org/gitlab/-/issues/330975) and any other we find and we validated the accuracy of our [Grafana Board](https://dashboards.gitlab.net/d/stage-groups-product_planning/stage-groups-group-dashboard-plan-product-planning?orgId=1).   
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-product_planning/stage-groups-group-dashboard-plan-product-planning)
  sisense_data:
    chart: 12188213
    dashboard: 892245
    embed: v2
  sisense_data_secondary:
    chart: 12188219
    dashboard: 892245
    embed: v2
  
- name: Plan:Certify - Paid GMAU - MAU Interacting with Requirements
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of unique users interacting (create, view, reference) each
    month
  target: 2000 interactions by December 2021
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Paid GMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Note - Due to lack of data for June, limited insights can be provided.
    - Improvement - Requirements in the process of being [converted to issue type](https://gitlab.com/groups/gitlab-org/-/epics/5171), which will have the added benefit of improved tracking using redis counters.
    - Insight - 90 Day rolling average page views for requirements increased from 57k to 59k, showing consistent increased interest.
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding - Requirement Creation instrumented is complete. Tracking issue for gmau dashboard [here](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
  metric_name: requirements_interactions
  sisense_data:
    chart: 11465457
    dashboard: 634539
    embed: v2

- name: Plan:Certify - Other - Number of Requirements Created Monthly
  base_path: "/handbook/product/performance-indicators/"
  definition: A monthly count of the number of requirements created on .COM.
  target: 1200 by end of September 2021
  org: Dev Section
  section: dev
  stage: plan
  group: product_planning
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Note - Due to lack of data for June, limited insights can be provided.
    - Improvement - [Link Test Cases to Requirements](https://gitlab.com/groups/gitlab-org/-/epics/5171) planned for 14.4
    - Insight - Switched to measuring .COM requirements created due to better data. Seeing sporadic numbers, but consistent growth.  
  implementation:
    status: Dashboard
    reasons:
    - Dashboarding -  accurate instrumentation on Self Managed, still needs verification
      for SaaS - [issue](https://gitlab.com/gitlab-data/analytics/-/issues/5270)
  metric_name: requirements_created
  sisense_data:
    chart: 8989373
    dashboard: 634539
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/5270

- name: Plan:Certify - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 3
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-certify/stage-groups-group-dashboard-plan-certify)
    - Insight - Certify error budget continues to be within targets
  sisense_data:
    chart: 12188215
    dashboard: 892245
    embed: v2
  sisense_data_secondary:
    chart: 12188217
    dashboard: 892245
    embed: v2

- name: Create - SMAU - Unique users writing to a Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed any Git write operation within the last 28 days.
  target: |
    Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU.
  org: Dev Section
  section: dev
  stage: Create
  public: true
  pi_type: SMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - SMAU and Paid SMAU growth for SaaS and self-managed appears to have stalled over the last 3 months. We may be able to attribute this to delays in large accounts onboarding.
    - Improvement - Overall the Create stage is focused on maintaining growth via [support for large MRs](https://gitlab.com/groups/gitlab-org/-/epics/1417), [implementing the Content Editor in Wikis](https://gitlab.com/groups/gitlab-org/-/epics/5403), [incremental back-ups for repositories](https://gitlab.com/groups/gitlab-org/-/epics/2094), and [performance improvements for source code](https://gitlab.com/groups/gitlab-org/-/epics/6523).
    - Improvement - 3 of the 4 Groups in Create are focused on initiatives aimed at scaling GitLab for large customers. We expect it to contribute to retention of enterprise customers and we expect some growth in the medium term as we meet the performance expectations of some large prospects. We do not expect immediate growth from this work.
  implementation:
    status: Complete
    reasons:
    - Create SMAU metrics are being deduplicated.
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611068
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard

- name: Create - Error Budgets
  base_path: "/handbook/product/performance-indicators/"
  definition: Summed availablity across all groups in Create stage
  target: |
    99.99%
  org: Dev Section
  section: dev
  stage: Create
  public: true
  pi_type: other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 1
    reasons:
    - Insight - Error budgets for all groups except Gitaly are under target
    - Improvement - FY22Q3 OKR to improve error budgets in each group by 0.05%
  sisense_data:
    chart: 12163928
    dashboard: 890950
    embed: v2

- name: Create:Source Code - GMAU - Unique users writing to a project Git repository
  base_path: "/handbook/product/performance-indicators/"
  definition:
    A rolling count of the number of unique users who performed any Git write
    operation within the last 28 days.<br> <b>Why:</b> We want to ensure all the features in our group provide a great experience that ultimately will allow everyone to contribute more often. A great experience in SCM is a critical starting point for this.
  target: Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU
  org: Dev Section
  section: dev
  stage: create
  group: source_code
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - Growth in GMAU and Paid GMAU has stalled over the last 2 months since May. GMAU has increased less than 1% and there has been a decrease in Paid GMAU. Both metrics came in slightly under target for Q2.
    - Insight - We are seeing a drop in [usage of protected branches](https://app.periscopedata.com/app/gitlab/664109/Create:-Source-Code-Dashboard?widget=11538742&udv=0) for SaaS primarly and self-managed to a lesser extent. This may indicate disatisfaction with the implementation of the feature but could also be due to the reorganization of repositories as a whole - less repositories means less reported use of protected branches.
    - Insight - We are seeing a slow increase in the [use of CODEOWNERS](https://app.periscopedata.com/app/gitlab/664109/Create:-Source-Code-Dashboard?widget=11538742&udv=0), recovering from the dip that followed March. Currently no insight into the behavior pattern we are seeing here.
    - Improvement - The team is currently focused on [performance as our secondary PI](https://about.gitlab.com/handbook/product/dev-section-performance-indicators/#createsource-code-secondary---other---gitlabcom-performance-scores). We do not anticipate this to drive immediate improvement in our primary PI but over time it will contribute to retention and enable us to continue to land bigger and bigger customers.
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com
    - Released for self-managed in GitLab 13.3
  metric_name: action_monthly_active_users_project_repo
  sisense_data:
    chart: 9967642
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980442
    dashboard: 758607
    embed: v2
  sisense_data_tertiary:
    chart: 10611068
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/728380/WIP-Create-Stage-Dashboard?widget=9520571&udv=0
# Commenting out this secondary section until we can get the data back in Grafana and level set on which metrics are important
# - name: Create:Source Code Secondary - Other - GitLab.com performance scores
#   base_path: "/handbook/product/performance-indicators/"
#   definition: Performance of the top 3 backend services for Source Code (apdex), and its related frontend counterparts (LCP) showing improvememnts over time.<br> <b>Why:</b> Aligning with our SaaS first and product depth direction, we recognize the performance of GitLab.com is a large factor considered when evaluating GitLab. We firmly believe <a href="https://bdickason.com/posts/speed-is-the-killer-feature">speed is the killer feature</a> and as such will work to provide a speedy experience to set a great stage for new and existing users.
#   target: TBD
#   org: Dev Section
#   section: dev
#   stage: create
#   group: source_code
#   public: true
#   pi_type: Other
#   is_primary: false
#   is_key: false
#   health:
#     level: 0
#     reasons:
#     - Insight - total time taken to process [pull mirror operations](https://dashboards.gitlab.net/d/_MKRXrSmk/pull-mirrors?orgId=1&refresh=5s) has steadily increased. We will re-evaluate its implementation to enhance or refactor.
#     - Insight - recent performance improvements have decreased LCP of commits view by ~20% 💪
#     - We continue to investigate which are the most relevant measures to track and how to aggregate sensibly. We will measure apdex for the top 3 services used (BE) and LCP for its corresponding application pages (FE). This is currently WIP, see [investigation issue](https://gitlab.com/gitlab-org/gitlab/-/issues/327659).
#   implementation:
#     status: Instrumentation
#     reasons:
#     - The Create:Source Code group is investigating which of the many measures currently instrumented for GitLab.com are suitable for dual apdex and LCP Tracking. Once selection is complete we will work to bring into a single dashboard and set targets.
#   urls:
#   - https://gitlab.com/gitlab-org/gitlab/-/issues/327659
#   - https://dashboards.gitlab.net/d/stage-groups-source_code/stage-groups-group-dashboard-create-source-code?orgId=1&from=1618343400000&to=1618365059999&var-PROMETHEUS_DS=Global&var-environment=gprd&var-stage=main&var-controller=All&var-action=All&viewPanel=12
#   - https://dashboards.gitlab.net/d/stage-groups-source_code/stage-groups-group-dashboard-create-source-code?orgId=1

- name: Create:Source Code - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-source_code/stage-groups-group-dashboard-create-source-code)
    - Insight - Currently over error budget by 49 minutes
    - Improvement - Team is focused on improving the error budget in Q3FY22, work tracked in the following [epic](https://gitlab.com/groups/gitlab-org/-/epics/6298).
  sisense_data:
    chart: 12188681
    dashboard: 892274
    embed: v2
  sisense_data_secondary:
    chart: 12188683
    dashboard: 892274
    embed: v2

- name: Create:Code Review - Category MAU - Unique users using Merge Requests
  base_path: "/handbook/product/performance-indicators/"
  definition: This is defined as users who perform one or more of the following actions in
   a merge request - create, merge, or close a Merge Request.
  target: Our target growth rate is 3% higher than the previous month for SMAU, and 4% for Paid SMAU. 
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Target - This aligns with our current understanding that Code Review is about 50% of the MAU of the stage metric and continuing to maintain that difference.
  lessons:
    learned:
      - Attention - Moved to new aggregated metrics for reporting. Old [MAU Chart](https://app.periscopedata.com/app/gitlab/786738/Code-Review-MAU-Metrics?widget=10426645&udv=0) and [Paid MAU Chart](https://app.periscopedata.com/app/gitlab/786738/Code-Review-MAU-Metrics?widget=10624715&udv=0) for reference.
      - Insight - New aggregated metrics are showing a 19%+ increase for GitLab SaaS over current tracking methods. Self-managed data is still lagging behind in reporting, but estimates are consistent.
      - Attention - Code Review is focused on [reliability](https://gitlab.com/groups/gitlab-org/-/epics/5598), [usability](https://gitlab.com/groups/gitlab-org/-/epics/5589) and [error budgets](https://gitlab.com/groups/gitlab-org/-/epics/6292) for Q3. While this is a net positive impact to the product, it is not expected to drive growth or adoption of features among new users.
      - Attention - Instance adoption for versions that support our metric has stalled at 40% of instances reporting usage ping data
  implementation:
    status: Complete
    reasons:
    - Enabled on GitLab.com 2020-07-04
    - Enabled for self-managed on GitLab 13.2
  metric_name: counts_monthly.aggregated_metrics.code_review_category_monthly_active_users 
  sisense_data:
    chart: 11489027
    dashboard: 786738
    embed: v2
  sisense_data_secondary:
    chart: 11836689
    dashboard: 786738
    embed: v2
  sisense_data_tertiary:
    chart: 10751993
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/526749/Create---Code-Review-category-dashboard

- name: Create:Code Review - Other - Code Review/SCM Ratio by UMAU and Subscription Tier
  base_page: "/handbook/product/performance-indicators/"
  definition: 
  target: TBD - Primarily this metric is used for monitoring the relationship between SCM GMAU and Code Review GMAU to make sure it doesn't not fall out of alignment.
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons:
    - Target - this metric is primarily monitored to remain at a consistent level.
    - Insight - Paid Instances with 10+ users more closely track to 75% of SCM Users using Code Review
    - Insight - Free Instances and those with less than 10 users drive down the SCM<->Code Review Ratio as most have less than 50% adoption
  implementation:
    status: Complete
  metric_name: merge_requests_users
  sisense_data:
    chart: 10728688
    dashboard: 801102
    embed: v2
  sisense_data_secondary:
    chart: 10688270
    dashboard: 801102
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/801102/SCM-%3C%3E-Code-Review-%3C%3E-Verify
  - https://app.periscopedata.com/app/gitlab/801102/SCM-%3C%3E-Code-Review-%3C%3E-Verify?widget=10728688&udv=1218043

- name: Create:Code Review - Editor Extension (VS Code) - Category MAU
  base_path: "/handbook/product/performance-indicators/"
  definition: This is defined as users who use [GitLab Workflow](https://marketplace.visualstudio.com/items?itemName=GitLab.gitlab-workflow) for VS Code and make at least one API request to a GitLab instance.
  target: Our target is 100k monthly active users (outpacing Web IDE adoption). Ambitiously a 20% MoM growth rate would achieve this target in 9 months, but we should aim to hit this faster.
  org: Dev Section
  section: dev
  stage: create
  group: code_review
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Target - Defining a target of 100k monthly active users puts us on a path to 50% of developers using GitLab (market share data) and aligns us to more users than the Web IDE (investment hypothesis).
  lessons:
    learned:
      - Improvement/Highlight - [GitLab Workflow 3.26.0](https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/blob/main/CHANGELOG.md#3260-2021-07-13) released with the ability to create and apply patches via snippets
      - Improvement/Highlight - [GitLab Workflow 3.27.0](https://gitlab.com/gitlab-org/gitlab-vscode-extension/-/blob/main/CHANGELOG.md#3270-2021-07-28) released with view support for CI pipelines and jobs
      - Attention - Growth continues to lag our goal trajectory to hit 100k monthly active users, but we're seeing steady month-over-month growth (15% this month)
      - Attention - Instance adoption for versions that support our metric has stalled at 40% of instances reporting usage ping data
  implementation:
    status: Complete
    reasons:
      - Enabled in GitLab 13.9
      - Target defined 2021-06-07
  sisense_data:
    chart: 11101564
    dashboard: 825329
    embed: v2
  urls:
   - https://app.periscopedata.com/app/gitlab/825329/Editor-Extension-(VS-Code)-MAU-Metrics

- name: Create:Code Review - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-code_review/stage-groups-group-dashboard-create-code-review)
  sisense_data:
    chart: 12188680
    dashboard: 892274
    embed: v2
  sisense_data_secondary:
    chart: 12188685
    dashboard: 892274
    embed: v2

- name: Create:Gitaly - Other - Availability
  base_path: "/handbook/product/performance-indicators/"
  definition: Percentage of time during which Gitaly is fully operational and providing
    service to users within SLO parameters. Availability is measured according by
    Apdex (latency) and error rate. Gitaly is considered available when at least 50%
    of users are experiencing satisfactory latency, and 50% of requests are completing
    successfully. If either of these conditions is not met, the service is experiencing
    an outage.
  target: 99.95%, consistent with GitLab.com availability service level objectives
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 0
    reasons:
    - Instrumentation for this metric started in 13.4 and is still ongoing. Currently utilizing SaaS metrics via Grafana.
  implementation:
    status: Instrumentation
    reasons:
    - Rolling 7 day metrics available in [Grafana](https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview)
      for GitLab.com. Current availability per Adpex is 99.98%.
    - Improvement - self-managed availability metrics are [planned](https://gitlab.com/gitlab-org/gitlab/-/issues/216683), but not currently in the backlog due to technical limitations.
  metric_name: gitaly_apdex
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview
  - https://gitlab.com/gitlab-org/gitlab/-/issues/216683

- name: Create:Gitaly - Other - Unique instances with Gitaly Cluster enabled
  base_path: "/handbook/product/performance-indicators/"
  definition: Number of recorded GitLab instances with Gitaly Cluster enabled
  target: 75 Paid Customers using Gitaly Cluster by September 2021
  org: Dev Section
  section: dev
  stage: create
  group: gitaly
  public: true
  pi_type: Other
  product_analytics_type: Self-Managed
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - Slight decrease from June to July. Many ultimate trials expired, however good growth was seen for premium licensing. 
    - Improvement - [Updated instructions for migration to Gitaly Cluster](https://docs.gitlab.com/ee/administration/gitaly/praefect.html#migrate-to-gitaly-cluster)
    - Improvement - [Repository level incremental backups](https://gitlab.com/groups/gitlab-org/-/epics/2094) should be released soon, which is a much requested feature.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for reporting on instances with Gitaly Cluster enabled was introduced in 13.0 with the GA of Gitaly Cluster.
    - Insight - Team has implemented additional performance improvements, substantially under error budget.
  metric_name: gitaly_clusters
  sisense_data:
    chart: 9504807
    dashboard: 728407
    embed: v2
  urls:
  - https://dashboards.gitlab.net/d/gitaly-main/gitaly-overview

- name: Create:Gitaly - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 3
    reasons:
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-gitaly/stage-groups-group-dashboard-create-gitaly)
  sisense_data:
    chart: 12188717
    dashboard: 892274
    embed: v2
  sisense_data_secondary:
    chart: 12188721
    dashboard: 892274
    embed: v2

- name: Create:Editor - GMAU - Unique users committing via any web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any repository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days
  target: 4% growth month over month for All 
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 2
    reasons:
    - Insight - A slight decrease after a few flat months consistent with the overall Create CMAU trends. With no meaningful user-facing features planned, we will likely continue to follow the organic growth/decline of the stage for the next quarter or so.
    - Insight - A higher percentage of self-managed users are committing write operations from web editors when compared to the total number of MAU writing to a git repo. It's not a dramatic difference (16.6% on self-managed vs 13.5% on SaaS) but investigation into the usage patterns here could uncover areas for faster growth in SaaS usage.
    - Improvement - Source Editor is [going to be used to render files in the repository view](https://gitlab.com/groups/gitlab-org/-/epics/5531), making it possible to switch immediately into "edit" mode. Expectations are an uptick in commits over the next quarter by reducing friction and improving performance. 
  implementation:
    status: Complete
  metric_name: action_monthly_active_users_ide_edit 
  sisense_data:
    chart: 9967737
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 9980340
    dashboard: 758607
    embed: v2 
  sisense_data_tertiary:
    chart: 10611073
    dashboard: 798616
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - AMAU - Unique users committing by web editor
  base_path: "/handbook/product/performance-indicators/"
  definition: A rolling count of the number of unique users who performed a Git write
    operation to any respository using the Web IDE, Web Editor or Snippet within a
    stage in the last 28 days - users grouped by editor used
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 0
    reasons: 
    - Insight - Editing through the Web Editor (single file editor) is 2-to-1 for users of the Web IDE though the gap is narrowing slightly over time. This confirms data recognized previously based on navigation paths that the single file editor is more widely used. We need to continue monitoring this to determine future investments in the Web IDE.
    - Note - Important to call out that these are not unique users, so the same user can be reported as using multiple web editors. 
    - Improvement - We rolled out a [consolidated edit button](https://gitlab.com/gitlab-org/gitlab/-/issues/221247) in the file/blob view on the www-gitlab-com project to reduce the friction caused by deciding between the single file editor and Web IDE. This could increase overall edits as well.
  implementation:
    status: Completed [Dashboard](https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU)
  metric_name: action_monthly_active_users_web_ide_edit, action_monthly_active_users_sfe_edit, action_monthly_active_users_snippet_editor_edit
  sisense_data:
    chart: 9788102
    dashboard: 741875
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/741875/Create:Editor-xMAU

- name: Create:Editor - Other - Number of Commits per Month from the Web IDE
  base_path: "/handbook/product/performance-indicators/"
  definition: The total number of commits made via the Web IDE.
  target: Maintain organic growth, 1M by end of Q3 2021
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - Insight - The Q2 goal was 800K commits, the actual July numbers have us at 792K (without estimated uplift). The data for July is suspect though, so we'll continue to monitor this in August with a goal of 1M commits per month by the end of Q3.
    - Insight - The number of commits continues to increase despite the decrease in GMAU. Performance and reliablity improvements in Q3 should hopefully make it easier and faster to make edits in the Web IDE and continue this trend.
  implementation:
    status: Complete
  metric_name: web_ide_commits 
  sisense_data:
    chart: 9974797
    dashboard: 723366
    embed: v2
  urls:
  - https://app.periscopedata.com/app/gitlab/723366/Create:Editor-Expanded-for-Embed

- name: Create:Editor - Other - Number of new Snippets per Month
  base_path: "/handbook/product/performance-indicators/"
  definition: The number of new Snippets created each month.
  target: 4% Growth month-over-month to 82k Snippets per Month by Q2 2021
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: Other
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 2
    reasons:
    - Insight - Another month of decline which is consistent with the lack of attention we've been giving the category. Without investment in the features users need to improve sharing and organization, it's unlikely that we'll impact this number significantly.
    - Insight - Self-Managed continues to account for about 8x the number of snippets. Investigation into the user behavior here is warranted but it's likely due to the nature of snippets visibility and permissions. Self-Managed users may be more comfortable creating snippets for their instance.
    - Improvement - There are no scheduled improvements related to Snippets while we focus on Web IDE and Wiki reliability.
  implementation:
    status: Complete
    reasons:
    - Instrumentation for number of snippets is complete for self-managed and SaaS.
  metric_name: snippets_change
  sisense_data:
    chart: 9667259
    dashboard: 723366
    embed: v2
  urls:
  - https://gitlab.com/gitlab-data/analytics/-/issues/4400

# - name: Create:Editor - AMAU - Unique users committing via the Static Site Editor
#   base_path: "/handbook/product/performance-indicators/"
#   definition: Monthly unique users that have made at least one commit via the static
#     site editor.
#   target: None defined until we shift focus back to this category
#   org: Dev Section
#   section: dev
#   stage: create
#   group: editor
#   public: true
#   pi_type: AMAU
#   product_analytics_type: Both
#   is_primary: false
#   is_key: false
#   health:
#     level: 2
#     reasons: 
#     - Insight - Consistently flat, likely the same 25-30 GitLab users editing the Handbook each month.
#     - Goal - Removed our Q1 goal since we're not investing in features that would meaningfully impact adoption in the near future.
#   implementation:
#     status: Complete
#     reasons:
#     - Improvement - Instrumentation for [Usage Ping completed in 13.7](https://gitlab.com/gitlab-org/gitlab/-/issues/233994)
#   metric_name: static_site_editor_create_commit
#   sisensee_data:
#     chart: 10039059
#     dashboard: 758607
#     embed: v2
#   sisense_data_secondary:
#     chart: 9112733
#     dashboard: 684213
#     embed: v2
#   urls:
#   - https://app.periscopedata.com/app/gitlab/684213/WIP-Static-Site-Editor-Usage-Metrics
#   - https://about.gitlab.com/direction/create/editor/static_site_editor/

- name: Create:Editor - AMAU - Uniques users of Wiki
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly unique users that have viewed or edited a wiki
  target: 10% higher than current month (SaaS and self-managed combined)
  org: Dev Section
  section: dev
  stage: create
  group: editor
  public: true
  pi_type: AMAU
  product_analytics_type: Both
  is_primary: false
  is_key: false
  health:
    level: 3
    reasons:
    - No target defined
  implementation:
    status: Complete 
    reasons:
    - Insight - A surprising drop in Wiki usage, seemingly skewed toward Paid GMAU. Planned work in Q3 should make the Wiki more reliable, performant, and lay the foundation for more meaningful feature improvements but we'll monitor this trend closely over the next month. 
    - Improvement - The [WYSIWYG/visual markdown editor for Wiki](https://gitlab.com/groups/gitlab-org/-/epics/5403), is available now (self-managed in 14.0). We don't expect immediate impact to MAU since we're still maturing the editor to fully support GitLab Flavored Markdown, but by Q3 we expect the new editor to be the default editing experience for Wikis and drive increased usage.
  metric_name: action_monthly_active_users_wiki_repo
  sisense_data:
    chart: 9966770
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 10039382
    dashboard: 758607
    embed: v2
  urls:
  - https://gitlab.com/gitlab-org/gitlab/-/issues/230481

- name: Create:Editor - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - Insight - A large amount of our budget is being spent on request that we do not actually maintain. Specifically the backend Markdown rendering endpoint and `/user_counts`. We're working to refine the dashboard to get a more accurate measure of our group's uptime and reliabilty.
    - Improvements - We're spending 14.2 and part of 14.3 focused on refactoring the [state managment in the Web IDE](https://gitlab.com/groups/gitlab-org/-/epics/3578), which in turn will allow us to move over to [use the GraphQL API](https://gitlab.com/groups/gitlab-org/-/epics/4371) for improved performance. 
    - Improvements - The biggest improvement we're investigating for the Wiki is how we handle [requests for very large files](https://gitlab.com/gitlab-org/gitlab/-/issues/336792). Limiting the time spent rendering these pages will dramatically improve our error budget and our approach is consistent with how the repository view handles very large files. Afterward, we will focus on migrating away from the wiki service in favor of Gitaly RPCs.
    - This is a new PI and is a shared PI with [Infrastructure availability targets](/handbook/engineering/infrastructure/performance-indicators/#gitlabcom-availability)
    - The [dashboards are located in grafana](https://dashboards.gitlab.net/d/stage-groups-editor/stage-groups-group-dashboard-create-editor)
  sisense_data:
    chart: 12188679
    dashboard: 892274
    embed: v2
  sisense_data_secondary:
    chart: 12188684
    dashboard: 892274
    embed: v2

- name: Ecosystem:Integrations - SMAU - GMAU - MAU for Jira and Slack Integrations
  base_path: "/handbook/product/performance-indicators/"
  definition: Monthly Unique Users for the Jira and Slack integration.
  target: TBD
  org: Dev Section
  section: dev
  stage: create
  group: ecosystem
  public: true
  pi_type: GMAU
  product_analytics_type: Both
  is_primary: true
  is_key: false
  health:
    level: 3
    reasons:
    - Note - Data captured and dashboard intrumented!
    - Note - No target defined yet but will be set next update round.  Currently investigating discrepancy in number of projects and tracking in [this issue](https://gitlab.com/gitlab-org/gitlab/-/issues/338158). This data is information is critical to understand before setting a target and to confirm the acccuracy of our GMAU metrics.
    - Insight - We see a healthy number of projects that are inhering configuration from the group and instance level! In SaaS, 51% of Jira projects are being configured at the group level. 
    - Improvement - In 14.2, we'll be rolling out [improved error messages](https://gitlab.com/gitlab-org/gitlab/-/issues/323304) when rendering issues fails. This will help customers have better tools to troubleshoot configuration issues.
    - Improvement- The team has been working to enable the [Jira issue integration for Jira Cloud for GitLab self-managed customers](https://gitlab.com/groups/gitlab-org/-/epics/5650) but hit a roadblock during implementation. The roadblock has now been resolved and we're targeting 14.3 for the release of this capability.
  implementation:
    status: Complete
    reasons:
  sisense_data:
    chart: 10039063
    dashboard: 758607
    embed: v2
  sisense_data_secondary:
    chart: 12463560
    dashboard: 822206
    embed: v2

- name: Ecosystem:Integrations - Error Budget for GitLab.com
  base_path: "/handbook/product/performance-indicators/"
  definition: The error budget provides a clear, objective metric that determines how unreliable the service is allowed to be within a single quarter. Spent budget is the time (in minutes) during which user facing services have experienced a percentage of errors below the specified threshold and latency is above the specified objectives for the service.
  target: 99.95% availability, allowed unavailability window is 20 minutes per month
  org: Product
  public: true
  is_key: false
  health:
    level: 1
    reasons:
    - Improvement - The engineering team is doing a [deep dive into error budgets](https://gitlab.com/gitlab-org/gitlab/-/issues/337220). We've already identified improvement opportunities that we'll be prioritizing next milestone!
    - Note - Due to the transition of ecosystem to a stage, our error budget dashboards changed and seem incomplete. Working with engineering on a resolution.
  sisense_data:
    chart: 12390390
    dashboard: 903651
    embed: v2
 # sisense_data_secondary:
 #   chart: 12188726
 #   dashboard: 892274
 #   embed: v2
    
